Skip to content
Browse files

Add travis-ci

travis-ci is an open source continuous integration tool that
works well with github.

Added the travis-ci status to the README.

Needed to add rake to Gemfile.

Needed to change the cgi gem require to lowercase, uppercase was
causing a LoadError in the travis-ci environment.
  • Loading branch information...
1 parent 2687744 commit 917c82e9a9cb7dbbdf3ed8c92e409b5dccb6e0e9 @oneacross oneacross committed Apr 25, 2012
Showing with 5 additions and 2 deletions.
  1. +2 −0 .travis.yml
  2. +1 −0 Gemfile
  3. +1 −1 README.md
  4. +1 −1 lib/gov_kit/open_congress.rb
View
2 .travis.yml
@@ -0,0 +1,2 @@
+rvm:
+ - 1.9.2
View
1 Gemfile
@@ -8,6 +8,7 @@ gem "httparty"
gem "i18n"
group :test do
+ gem "rake"
gem "rspec"
gem "fakeweb"
end
View
2 README.md
@@ -1,4 +1,4 @@
-# Govkit
+# Govkit [![Build Status](https://secure.travis-ci.org/opengovernment/govkit.png)](http://travis-ci.org/opengovernment/govkit)
Govkit is a Ruby gem that provides simple access to US open government APIs around the web, including:
View
2 lib/gov_kit/open_congress.rb
@@ -1,7 +1,7 @@
require 'nokogiri'
require 'open-uri'
require 'json'
-require 'CGI'
+require 'cgi'
module GovKit::OpenCongress
autoload :Bill, 'gov_kit/open_congress/bill'

0 comments on commit 917c82e

Please sign in to comment.
Something went wrong with that request. Please try again.